<?php 
/**
 * The Individual Page Header Function for Adventure
 *
 * Displays the page header on pages.
 *
 * @package Adventure
 * 
 * @since Adventure 1.0
 */

global $complete;
global $post;?>

<?php 
	$headertype = $complete['header_layout_id']; 
	$typenum = preg_replace("/[^0-9]/","",$headertype);
?>
    

<?php if(is_page()){ ?>

<?php
$imgbg = get_post_meta( $post->ID, 'page_head', true );
$headshort = get_post_meta( $post->ID, 'headercode', true );
?>

<div class="<?php if(!empty($complete['hide_pageheader'])){ echo 'hide-header';} ?>">
  <?php if(!empty($headshort)){ ?>
  <div class="shorthead">
  	<?php $hdrtp = html_entity_decode($headshort); $hdrtp = stripslashes($hdrtp); echo do_shortcode($hdrtp); ?>
  </div>
  <?php } elseif (has_post_thumbnail()){ ?>
  <div class="page_head">
    <?php the_post_thumbnail(); ?>
    <div class="skt-page-title <?php echo 'hdr'.$typenum; ?>">
        <div class="center">
        	<h1><?php the_title(); ?></h1>
        </div>
    </div>
  </div>
  <?php } else { ?>
  <div class="page_head <?php if($complete['pageheader_bg_image']==''){ echo 'no-header-image'; } ?>">
  	<?php if($complete['pageheader_bg_image']!='') { ?><img src="<?php echo $complete['pageheader_bg_image']; ?>"><?php } ?>
    <div class="skt-page-title <?php echo 'hdr'.$typenum; ?>">
        <div class="center">
        	<h1><?php the_title(); ?></h1>
        </div>
    </div>
  </div>
  <?php } ?>
</div>

<?php } ?>

<?php if (is_single()) {?>
<?php 
   $newimgbg = get_post_meta( $post->ID, 'post_head', true ); 
   $headshort = get_post_meta( $post->ID, 'headercode', true );
   ?>
<!--Header POST-->
<div class="<?php if(!empty($complete['hide_postheader'])){ echo 'hide-header';} ?>">
  <?php
	if(!empty($headshort)){
	?>
  <div class="shorthead">
    <?php $hdrtp = html_entity_decode($headshort); $hdrtp = stripslashes($hdrtp); echo do_shortcode($hdrtp); ?>
  </div>
  <?php } else {?>
  <div class="post_head <?php if($complete['postheader_bg_image']==''){ echo 'no-header-image'; } ?>">
  	<?php if($complete['postheader_bg_image']!='') { ?><img src="<?php echo $complete['postheader_bg_image']; ?>"><?php } ?>
    <div class="skt-page-title <?php echo 'hdr'.$typenum; ?>">
        <div class="center">
        <?php 
        if ($post->post_type == "skt_tours") { 
		$post_type_obj = get_post_type_object( 'skt_tours' );
		?>
         <h1><?php echo $post_type_obj->labels->name; ?></h1>
         <?php } else { ?>
         <h1><?php the_title(); ?></h1>
         <?php } ?>
        	
        </div>
    </div>
  </div>
  <?php } ?>
</div>
<!--page_head class END-->
<?php } ?>
<?php if (is_category() || is_archive()) { ?>
<!--Header for CATEGORY-->
<div class="<?php if(!empty($complete['hide_postheader'])){ echo 'hide-header';} ?>">
  <div class="post_head <?php if($complete['postheader_bg_image']==''){ echo 'no-header-image'; } ?>">
  <?php if($complete['postheader_bg_image']!='') { ?><img src="<?php echo $complete['postheader_bg_image']; ?>"><?php } ?>
  <div class="skt-page-title">
      <div class="center">
      <?php if ( ( $post->post_type == 'skt_tours' ) 
     &&  is_tax( 'skt_tours_category') ) {
		 $current_term = single_term_title( "", false );
		 ?>
        <h1><?php echo $current_term; ?> </h1><?php
} else {
?>
      	<h1><?php if (is_category()) { single_cat_title(); } else { the_archive_title(); } ?></h1>
        <?php
        }
        ?>
      </div>
  </div>
  </div>
</div>
<!--page_head class END-->
<?php } ?>